Multivariate Pattern Analysis in Python

# mvpa2.misc.neighborhood

Neighborhood objects

Functions

`scatter_neighborhoods`(neighbor_gen, coords) | Scatter neighborhoods over a coordinate list.

Classes

`CachedQueryEngine`(queryengine) | Provides caching facility for query engines.
`HollowSphere`(radius, inner_radius[, …]) | N-Dimensional hypersphere with a hollow internal sphere
`IdentityNeighborhood`() | Trivial neighborhood.
`IndexQueryEngine`([sorted]) | Provides efficient query engine for discrete spaces.
`QueryEngine`(**kwargs) | Basic class defining interface for querying neighborhood in a dataset
`QueryEngineInterface` | Very basic class for `QueryEngine`s defining the interface
`Sphere`(radius[, element_sizes, distance_func]) | N-Dimensional hypersphere.